# RM-100 @ TX-01 数据提取器

## 配置文件 `config.ini`

	[aggregation]
	; 每 ts 秒产生一个数据点，必须是 0.0001 的整倍数，否则会被取整。
	ts = 5.00
	; 以宽度为 tav 秒的矩形窗对数据点进行滑窗求和，必须是 ts 的整倍数，
	; 否则会被取整。
	tav = 20.00

	[debug]
	; 导出 ADC 原始采样数据供 gnuplot 使用。
	; 可能产生很大的文件。
	dump_adc_raw = false
	; 将飞行参数数据打印到屏幕。
	dump_flight_data = false

## 输出文件

### 粒子到达时间文件 `rm100_particles_*.csv`

每行表示一个粒子事件，列的含义如下：

|字段     |含义                         |
|---------|-----------------------------|
|`k`      |该粒子到达时的ADC 采样点编号 |
|`fl_time`|该粒子到达时的飞控时间       |

### 粒子事件聚合统计文件 `rm100_aggreated_*.csv`

每隔 `ts` 秒输出一行（以飞控时间为准），列的含义如下：

|字段        | 含义                                       |
|------------|--------------------------------------------|
|`fl_time`   | 时间段为 `[fl_time, fl_time + ts)`         |
|`cnt`       | 该时间段中的粒子计数，值经过滑窗求和预处理 |
|`gps_height`| `fl_time` 时 GPS 确定的海拔高度            |
|`ils_height`| `fl_time` 时惯性组件确定的箭下点海拔高度   |

## 使用方法

将遥测提供的二进制数据文件和 `tx01_data.exe` 与 `config.ini` 
放在同一目录下，然后将数据文件拖到 `tx01_data.exe` 上即可。
